Package org.kie.api.event.rule

## Interface AgendaEventListener

- All Superinterfaces:
    `java.util.EventListener`
  All Known Implementing Classes:
    `DebugAgendaEventListener`, `DefaultAgendaEventListener`

      public interface AgendaEventListener
      extends java.util.EventListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterMatchFired​(AfterMatchFiredEvent event)` |
    `void` | `afterRuleFlowGroupActivated​(RuleFlowGroupActivatedEvent event)` |
    `void` | `afterRuleFlowGroupDeactivated​(RuleFlowGroupDeactivatedEvent event)` |
    `void` | `agendaGroupPopped​(AgendaGroupPoppedEvent event)` |
    `void` | `agendaGroupPushed​(AgendaGroupPushedEvent event)` |
    `void` | `beforeMatchFired​(BeforeMatchFiredEvent event)` |
    `void` | `beforeRuleFlowGroupActivated​(RuleFlowGroupActivatedEvent event)` |
    `void` | `beforeRuleFlowGroupDeactivated​(RuleFlowGroupDeactivatedEvent event)` |
    `void` | `matchCancelled​(MatchCancelledEvent event)` |
    `void` | `matchCreated​(MatchCreatedEvent event)` |

- - ### Method Detail

    - #### matchCreated

          void matchCreated​(MatchCreatedEvent event)

    - #### matchCancelled

          void matchCancelled​(MatchCancelledEvent event)

    - #### beforeMatchFired

          void beforeMatchFired​(BeforeMatchFiredEvent event)

    - #### afterMatchFired

          void afterMatchFired​(AfterMatchFiredEvent event)

    - #### agendaGroupPopped

          void agendaGroupPopped​(AgendaGroupPoppedEvent event)

    - #### agendaGroupPushed

          void agendaGroupPushed​(AgendaGroupPushedEvent event)

    - #### beforeRuleFlowGroupActivated

          void beforeRuleFlowGroupActivated​(RuleFlowGroupActivatedEvent event)

    - #### afterRuleFlowGroupActivated

          void afterRuleFlowGroupActivated​(RuleFlowGroupActivatedEvent event)

    - #### beforeRuleFlowGroupDeactivated

          void beforeRuleFlowGroupDeactivated​(RuleFlowGroupDeactivatedEvent event)

    - #### afterRuleFlowGroupDeactivated

          void afterRuleFlowGroupDeactivated​(RuleFlowGroupDeactivatedEvent event)